﻿package {
	import flash.display.Sprite;
	//import flash.events.Event;

	import flash.events.*;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;

	public class Liner extends Sprite {
		
		public var balls:Array;
		
		private var x2:Number = 0;
		private var y2:Number = 0;
		private var so:Number;
		private var su:Number;

		public function Liner() {
			
			balls=new Array  ;
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);

		}

		private function addedHandler(e:Event):void {
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,10);
			stage.addEventListener(MouseEvent.CLICK,clickHandler);
		}

		private function fullhandler(e:FullScreenEvent):void {
			balls=new Array  ;
		}
		private function clickHandler(e:MouseEvent):void {
			
			var pt:Point=new Point(mouseX,mouseY);
			var obj:Object={"posx":this.x,"posy":this.y, "x1":mouseX, "y1":mouseY, "soo":10+Math.random()*4, "suu":3+Math.random()*4};
			balls.push(obj);

		}
		
		private function activityHandler(event:ActivityEvent):void {
            trace("activityHandler: " + event);
        }
		
		private function buildScreen():void {
			
			this.graphics.clear();
			
			for (var i:Number=0; i<balls.length; i++) {
				
				graphics.beginFill(0x000000,1);
				graphics.drawCircle(balls[i].x1, balls[i].y1, 12);
				graphics.endFill();
	
				graphics.lineStyle(2,0x000000,1);
				//draw the lines
				if (i>0) {
					graphics.moveTo(balls[i-1].x1, balls[i-1].y1);
					graphics.lineTo(balls[i].x1,   balls[i].y1);
				}
				
				graphics.lineStyle();
				
		if ( (balls[i].x1 > stage.stageWidth && balls[i].suu > 0)  || (balls[i].x1 < 0 && balls[i].suu < 0) ) {
			   balls[i].suu = -balls[i].suu;

			 }
			 
		if ( (balls[i].y1 > stage.stageHeight && balls[i].soo > 0) || (balls[i].y1 < 0 && balls[i].soo < 0) ) {
			   balls[i].soo = -balls[i].soo;
			 }
			
			balls[i].x1 += balls[i].suu;
			balls[i].y1 += balls[i].soo;
				
			}
		}
	}
}